Priority: Normal   

Assignee:    
Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  
Pull request:    

Description

If one leaves the /etc/hosts as it is

127.0.0.1 localhost

::1 localhost

and run the foreman-installer, installation fails with

/Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[foreman.example.com]: Could not evaluate: undefined method `[]' for

nil:NilClass

To me, it might be due to the smart-proxy not being able to ping foreman.example.com since on the host there is no route to it

leading to the nil:NilClass. (I have no DNS setup in my case)

Related issues:

Related to Kafo - Feature #3394: Run puppet with --trace Closed 10/21/2013

History

#1 - 10/21/2013 06:53 PM - Greg Sutcliffe

- Tracker changed from Bug to Feature

- Category set to foreman-installer script

We should probably add this to checks/hostname.rb (or to a new check file)

#2 - 10/21/2013 09:46 PM - Dominic Cleal

- Related to Feature #3394: Run puppet with --trace added

#3 - 05/18/2017 06:52 PM - Anonymous

- Status changed from New to Resolved

there an installer hook with a check now.
